import { inject, observer } from "mobx-react";
// import Home from "./pages/home/home";
import { Modal } from "antd";
import { Store } from "antd/lib/form/interface";
import { Outlet } from "react-router";
import SimpleForm from "./components/form/simple_form";
import { FormInstance } from "antd/lib/form";
import React from "react";
const App = (props: Store) => {
  const { usrStore } = props;
  const formRef = React.useRef<FormInstance>(null);
  const loginForm = [
    {
      type: "input",
      label: "用户名",
      name: "account",
      value: "",
      rules: [{ required: true, message: "请输入用户名!" }],
    },
    {
      type: "password",
      label: "密码",
      name: "password",
      value: "",
      rules: [{ required: true, message: "请输入密码!" }],
    },
  ];
  const onFinish = (values: any) => {
    usrStore.login({
      userName: values.account,
      passWord: values.password,
    });
  };
  const onFinishFailed = () => {};
  return (
    <>
      <Outlet />
      <Modal
        title="登录"
        className="owner_model"
        width={"50%"}
        open={usrStore.isNeedLogin}
        afterClose={() => {}}
        onOk={() => {
          formRef.current?.submit();
        }}
        onCancel={() => {
          usrStore.closeLoginDilog();
        }}
      >
        <SimpleForm
          formRef={formRef}
          formName="login_basic"
          colProps={4}
          formDatas={loginForm}
          onFinish={onFinish}
          onFinishFailed={onFinishFailed}
        />
      </Modal>
    </>
  );
};

export default inject("usrStore")(observer(App));
